

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.Upload &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.ToTwitter" href="pywws.ToTwitter.html" />
    <link rel="prev" title="pywws.ZambrettiCore" href="pywws.ZambrettiCore.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.ToTwitter.html" title="pywws.ToTwitter"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.ZambrettiCore.html" title="pywws.ZambrettiCore"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="pywws-upload">
<h1>pywws.Upload<a class="headerlink" href="#pywws-upload" title="Permalink to this headline">¶</a></h1>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>This module uploads files to (typically) a website <em>via</em> ftp/sftp or copies files to a local directory (e.g. if you are running pywws on the your web server). Details of the upload destination are stored in the file <tt class="docutils literal"><span class="pre">weather.ini</span></tt> in your data directory. The only way to set these details is to edit the file. Run Upload.py once to set the default values, which you can then change. Here is what you&#8217;re likely to find when you edit <tt class="docutils literal"><span class="pre">weather.ini</span></tt>:</p>
<div class="highlight-python"><pre>[ftp]
secure = False
directory = public_html/weather/data/
local site = False
password = secret
site = ftp.username.your_isp.co.uk
user = username</pre>
</div>
<p>These are, I hope, fairly obvious. The <tt class="docutils literal"><span class="pre">local</span> <span class="pre">site</span></tt> option lets you switch from uploading to a remote site to copying to a local site. If you set <tt class="docutils literal"><span class="pre">local</span> <span class="pre">site</span> <span class="pre">=</span> <span class="pre">True</span></tt> then you can delete the <tt class="docutils literal"><span class="pre">secure</span></tt>, <tt class="docutils literal"><span class="pre">site</span></tt>, <tt class="docutils literal"><span class="pre">user</span></tt> and <tt class="docutils literal"><span class="pre">password</span></tt> lines.</p>
<p><tt class="docutils literal"><span class="pre">directory</span></tt> is the name of a directory in which all the uploaded files will be put. This will depend on the structure of your web site and the sort of host you use. Your hosting provider should be able to tell you what <tt class="docutils literal"><span class="pre">site</span></tt> and <tt class="docutils literal"><span class="pre">user</span></tt> details to use. You should have already chosen a <tt class="docutils literal"><span class="pre">password</span></tt>.</p>
<p>The <tt class="docutils literal"><span class="pre">secure</span></tt> option lets you switch from normal ftp to sftp (ftp over ssh). Some hosting providers offer this as a more secure upload mechanism, so you should probably use it if available.</p>
</div>
<div class="section" id="module-pywws.Upload">
<span id="detailed-api"></span><h2>Detailed API<a class="headerlink" href="#module-pywws.Upload" title="Permalink to this headline">¶</a></h2>
<p>Upload files to a directory by ftp.</p>
<p>usage: python Upload.py [options] data_dir file [file...]
options are:</p>
<blockquote>
-h or &#8211;help            display this help</blockquote>
<p>data_dir is the root directory of the weather data
file is a file to be uploaded</p>
<p>Login and ftp site details are read from the weather.ini file in
data_dir.</p>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.Upload.Upload" title="pywws.Upload.Upload"><tt class="xref py py-obj docutils literal"><span class="pre">Upload</span></tt></a>(params,&nbsp;files)</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#pywws.Upload.main" title="pywws.Upload.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="pywws.Upload.Upload">
<tt class="descclassname">pywws.Upload.</tt><tt class="descname">Upload</tt><big>(</big><em>params</em>, <em>files</em><big>)</big><a class="reference internal" href="../_modules/pywws/Upload.html#Upload"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Upload.Upload" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="pywws.Upload.main">
<tt class="descclassname">pywws.Upload.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/Upload.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.Upload.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">pywws.Upload</a><ul>
<li><a class="reference internal" href="#introduction">Introduction</a></li>
<li><a class="reference internal" href="#module-pywws.Upload">Detailed API</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.ZambrettiCore.html"
                        title="previous chapter">pywws.ZambrettiCore</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.ToTwitter.html"
                        title="next chapter">pywws.ToTwitter</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.ToTwitter.html" title="pywws.ToTwitter"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.ZambrettiCore.html" title="pywws.ZambrettiCore"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>